Updates a holiday display name.

Only the name can be changed. Dates, occurrences, and country or resource scope are set at create time and are not modified by this endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Public identifier of the holiday to update (GUID).

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new display name.
reasonstringOptional
Updated reason or label for the holiday.

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
A holiday returned when fetching by id or after create or update.